package dao

import "gorm.io/gorm"

// NoticeSet 告警通知设置
type NoticeSet struct {
	gorm.Model
	TenantId            string `gorm:"comment:租户;default:0" json:"_"`                     //租户
	DeviceType          int    `gorm:"comment:设备类型;default:0" json:"deviceType"`          //设备类型1-15
	DeviceId            int    `gorm:"comment:设备ID;default:0" json:"deviceId"`            //设备ID
	RType               int    `gorm:"comment:发送类型：0 - 全部 1按设备 2设备ID;" json:"deviceType"` //发送类型：0 - 全部设备 1 按设备类型 2按设备ID
	DevUserIds          string `gorm:"comment:运维通知人员;" json:"devUserIds"`                 //运维通知人员
	BusinessUserIds     string `gorm:"comment:业务通知人员;" json:"businessUserIds"`            //业务通知人员
	DevUserNoticeModes  string `gorm:"comment:运维通知方式;" json:"devUserNoticeModes"`         //运维通知方式 1短信 2邮件
	BusinessNoticeModes string `gorm:"comment:业务通知方式;" json:"businessNoticeModes"`        //业务通知方式 1短信 2邮件+

	DevUserNoticeModesName  string `json:"showOperationTypeName"`
	BusinessNoticeModesName string `json:"showBusinessTypeName"`
	DevUserIdsName          string `json:"noticeOperationName"`
	BusinessUserIdsName     string `json:"noticeBusinessName"`
}

func (NoticeSet) TableName() string {
	return "warn_notice_set"
}
