package service

import (
	"iot_manager_service/app/warn/dao"
	"iot_manager_service/app/warn/model"
	"strconv"
)

var NoticeSetService = new(noticeSetService)

type noticeSetService struct{}

func (s noticeSetService) GetList(tenantId int, searchValue string) ([]model.NoticeSetRecords, error) {

	code := dao.ViewsAllCode{TenantId: tenantId}
	deviceTypeGroups, _ := code.GetGroupByDeviceType(searchValue)
	var deviceTypeGroupsNew []model.NoticeSetRecords
	for _, group := range deviceTypeGroups {

		var deviceNew []model.NoticeSetRecords
		code.DeviceType = group.DeviceType
		devices, _ := code.GetDatasByDeviceType(searchValue)
		for _, device := range devices {
			deviceNew = append(deviceNew, model.NoticeSetRecords{
				Rtype:      3,
				RtypeName:  device.DeviceName + "(" + device.Sn + ")",
				DeviceType: device.DeviceType,
				DeviceId:   device.DeviceId,
				ID:         device.Sn,
			})
		}

		deviceTypeGroupsNew = append(deviceTypeGroupsNew, model.NoticeSetRecords{
			Rtype:      2,
			RtypeName:  group.DeviceTypeName + "(" + strconv.Itoa(len(deviceNew)) + "台)",
			Children:   deviceNew,
			DeviceType: group.DeviceType,
			DeviceId:   0,
			ID:         strconv.Itoa(group.DeviceType),
		})
	}

	data := []model.NoticeSetRecords{
		{
			Rtype:      0,
			RtypeName:  "全部设备",
			Children:   deviceTypeGroupsNew,
			DeviceType: 0,
			DeviceId:   0,
			ID:         "999999",
		},
	}
	return data, nil
}
